function Wpte = gen_wpte(wx_l,wx_u,K_max,K_0,K_inf)
%   GEN_WPTE Generate IDI tracking error performance function
%
%       Author: T.S.C. Pollack
%       Copyright (2024) T.S.C. Pollack

Wpte     = tf(wx_l,[1 K_0*wx_l]) + tf([1 wx_u/K_max],[K_inf wx_u]);

end
